Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class AddTaskCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<Long>
          org.jbpm.services.task.commands.AddTaskCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Long>, Command<Long>

    public class AddTaskCommand

extends TaskCommand<Long>

Operation.Start : [ new OperationCommand().{ status = [ Status.Ready ], allowed = [ Allowed.PotentialOwner ], setNewOwnerToUser = true, newStatus = Status.InProgress }, new OperationCommand().{ status = [ Status.Reserved ], allowed = [ Allowed.Owner ], newStatus = Status.InProgress } ], *

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`groupsIds, targetEntityId, taskId, userId`

Constructor Summary
`AddTaskCommand()`
`AddTaskCommand(Task task, org.kie.internal.task.api.model.ContentData data)`
`AddTaskCommand(Task task, Map<String,Object> params)`

Method Summary
`Long` | `execute(org.kie.internal.command.Context cntxt)`
`org.kie.internal.task.api.model.ContentData` | `getData()`
`JaxbTask` | `getJaxbTask()`
`Map<String,Object>` | `getParams()`
`Task` | `getTask()`
`void` | `setData(org.kie.internal.task.api.model.ContentData data)`
`void` | `setJaxbTask(JaxbTask jaxbTask)`
`void` | `setParams(Map<String,Object> params)`
`void` | `setTask(Task task)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddTaskCommand

    public AddTaskCommand()

### AddTaskCommand

    public AddTaskCommand(Task task,
                          Map<String,Object> params)

### AddTaskCommand

    public AddTaskCommand(Task task,
                          org.kie.internal.task.api.model.ContentData data)

Method Detail

### execute

    public Long execute(org.kie.internal.command.Context cntxt)

### getJaxbTask

    public JaxbTask getJaxbTask()

### setJaxbTask

    public void setJaxbTask(JaxbTask jaxbTask)

### getTask

    public Task getTask()

### setTask

    public void setTask(Task task)

### getParams

    public Map<String,Object> getParams()

### setParams

    public void setParams(Map<String,Object> params)

### getData

    public org.kie.internal.task.api.model.ContentData getData()

### setData

    public void setData(org.kie.internal.task.api.model.ContentData data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.